#!/usr/bin/python
# -*- coding: UTF-8 -*-
import re


# 提取项目中有哪些模块
def get_modules_from_settings_file(project_path):
    settings_path = project_path + "/settings.gradle"
    print(f"开始解析：{settings_path}")
    with open(settings_path, 'r', encoding='utf-8') as file:
        content = file.read()

    pattern = r"include\s*\(?'\s*:(.*?)'\)?"
    modules = re.findall(pattern, content)
    print(f"解析完成，项目包含： {len(modules)} 个模块：{modules}")
    modules.remove('common')
    print("忽略模块common")
    return modules
